
Vendor:		MLO <http://www.mageialinux-online.org> 
Packager:	david.david (MLO Team)
Name:		dluploadclient
Version:	2.0a
Release:	%mkrel 1
Summary:	Upload files via FTP easily on dl.free.fr Service
Summary(fr_FR):	Envoyer vos fichiers facilement sur le service dl.free.fr
Group:		Networking/File transfer
License:	GPLv3 
URL:		http://phpkernel.free.fr/projects/DLUploadClient/
Source:		%{name}-%{version}.tar.gz

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Requires:	java-1.7.0-openjdk  


%description
The dl.free.fr Customer is software that allows you to put files on the 
proposed http://dl.free.fr/ service from Free using FTP software.
The software is preconfigured to use this service, and you can copy the 
links, without having to find the link to the file in the FTP log.
Program in Java.

%description -l fr_FR
Le client dl.free.fr est un logiciel qui vous permet de placer des fichiers sur 
le service http://dl.free.fr/ proposé par Free en utilisant un logiciel FTP. 
Le logiciel est préconfiguré pour utiliser ce service, et vous pouvez 
directement copier le liens, sans avoir a rechercher le lien du fichier 
dans le log FTP.
Programmé en Java.

%prep
%setup -q -n %{name}-%{version}

%build

%install
rm -rf %{buildroot}


install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_datadir}/%{name}
install -d %{buildroot}%{_datadir}/pixmaps

cp -r ./* %{buildroot}%{_datadir}/%{name}/
cp -f dluploadclient.png %{buildroot}%{_datadir}/pixmaps/


#xdg menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=DLUploadClient
GenericName=Customer dl.free.fr
GenericName[fr]=Client dl.free.fr
Comment=Upload files via FTP easily on dl.free.fr Service
Comment[fr]=Envoyer vos fichiers facilement sur le service dl.free.fr
Exec=java -jar /usr/share/dluploadclient/dluploadclient.jar
Icon=dluploadclient.png
Terminal=false
Type=Application
StartupNotify=true
MimeType=
Categories=Network;FileTransfer;GTK;Java;X-Mageia-CrossDesktop;
EOF


#make Excutable
cat > $RPM_BUILD_ROOT%{_bindir}/dluploadclient << EOF
#!/bin/sh
cd /usr/share/dluploadclient/
sh ./dluploadclient.sh "$@"
EOF

chmod 0755 $RPM_BUILD_ROOT%{_bindir}/dluploadclient

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%{_bindir}/dluploadclient
%{_datadir}/pixmaps/dluploadclient.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/*
%doc VERSION Changelog doc

%changelog

* Sat Apr 20 2013 david.david (MLO Team) <david.david> 2.0a-1.mga2
+ Revision: 1
- new version: 2.0a
+ Build the DLUploadClient package
- import package to Mageia 2 (Core)

